Skip to main content
POST
Presign an upload

Authorizations

Authorization
string
header
required

Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).

Path Parameters

datasetId
string<uuid>
required

Body

application/json
filename
string
required
Required string length: 1 - 255
Pattern: ^[A-Za-z0-9][A-Za-z0-9._-]*$
contentType
string
Pattern: ^[\w.+-]+\/[\w.+-]+$

Response

OK

key
string
required
url
string
required

Presigned S3 PUT URL, valid two hours. PUT the file bytes to it.

method
enum<string>
required
Available options:
PUT
headers
object
required
expiresAt
string
required